
package de.ivu.elect.business.gebietsbaum.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.gebietsbaum.entity.Gebietsgruppierung;
import de.ivu.elect.business.gebietsbaum.boundary.GebietsgruppierungDAO;
import de.ivu.elect.business.gebietsbaum.boundary.GebietsgruppierungCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractGebietsgruppierungCreate {

  @Inject
  protected GebietsgruppierungDAO dao;

    @Inject
    transient Event<GebietsgruppierungCreateEvent> createEvent;



  


public void save(Gebietsgruppierung entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(Gebietsgruppierung entity) {
        createEvent.fire(new GebietsgruppierungCreateEvent(entity));
  }

}
